package com.kfi.dm.gui.core.event.exception;

import java.lang.reflect.Method;

public class IncompatibleSubscriberMethodException extends RuntimeException {
	private static final long serialVersionUID = 4404069292505802332L;

	public IncompatibleSubscriberMethodException(final Class<? extends Object> subscriberClass, 
			final Method subscriberMethod, final Class<? extends Object> eventClass) {
		super("Subscriber method " + subscriberMethod.getName() + " in class "
				+ subscriberClass.getName()
				+ " should have exactly one parameter of type "
				+ eventClass.getName());
	}
}
