package com.kfi.dm.gui.core.event.exception;

import java.lang.reflect.Method;

public class DuplicateSubscriberMethodException extends RuntimeException {

	private static final long serialVersionUID = -1803887754663396855L;

	public DuplicateSubscriberMethodException(final Class<? extends Object> subscriber, final Method duplicateMethod, final Method subscriberMethod) {
		super("Class " + subscriber.getName()
				+ " has multiple subscriber method declarations. "
				+ subscriberMethod.getName()
				+ " was already accepted as the method, but "
				+ duplicateMethod.getName() + " was found also.");
	}
}
