package com.kfi.dm.gui.core.event.exception;

import com.kfi.dm.gui.core.event.EventSubscriber;

public class NoSubscriberMethodFoundException extends RuntimeException {
	private static final long serialVersionUID = 2145403658103285993L;

	public NoSubscriberMethodFoundException(final Class<? extends Object> subscriberClass) {
		super("No annotated subscriber methods found in " + subscriberClass
				+ ". Make sure you have exactly one public method annotated with "
				+ EventSubscriber.class.getName());
	}
}
